%define kdevelop_ver 4.6.0

Name:           kdevplatform
Summary:        Libraries for use by KDE development tools
Version: 1.6.0_560_g5955046
Release:        16%{?dist}

Group:          Development/Tools
License:        GPLv2
URL:            http://www.kde.org/
Source0:        http://download.kde.org/stable/kdevelop/%{kdevelop_ver}/src/kdevplatform-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  boost-devel
BuildRequires:  gettext
BuildRequires:  kdelibs4-devel
BuildRequires:  pcre-devel
BuildRequires:  subversion-devel
BuildRequires:  qjson-devel
BuildRequires:  grantlee-devel

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kate-part%{?_kde4_version: >= %{_kde4_version}}
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
KDE Development platform, the foundations upon which
KDevelop and Quanta are built.

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%{?_kde4_version:Requires: kdelibs4%{?_isa} >= %{_kde4_version}}
%description libs
%{summary}.

%package devel
Group:    Development/Libraries
Summary:  Developer files for %{name}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: boost-devel
Requires: commoncpp2-devel
Requires: kdelibs4-devel
Requires: subversion-devel
%description devel
%{summary}.


%prep
%setup -q -n kdevplatform-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

#find_lang %{name} --all-name --with-kde


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :


%files
# -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING.PLUGINS COPYING.SRC
%{_kde4_bindir}/kdev_dbus_socket_transformer
%{_kde4_bindir}/kdev_format_source
%{_kde4_bindir}/kdevplatform_shell_environment.sh
%{_kde4_appsdir}/kdev*/
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/servicetypes/*.desktop
%{_kde4_datadir}/config/*.knsrc
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_datadir}/kde4/apps/plasma/plasmoids/org.kdevelop.branches/contents/qml/main.qml
%{_kde4_datadir}/kde4/apps/plasma/plasmoids/org.kdevelop.branches/metadata.desktop


%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so.*
%{_kde4_libdir}/kde4/*.so
%{_kde4_libdir}/kde4/plugins/grantlee/0.[3,4]/*.so
%{_kde4_libdir}/kde4/imports/org/kde/kdevplatform/libkdevelopdashboarddeclarativeplugin.so
%{_kde4_libdir}/kde4/imports/org/kde/kdevplatform/qmldir

%files devel
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so
%{_kde4_includedir}/kdevplatform/
%{_kde4_libdir}/cmake/kdevplatform/


%changelog
* Mon May 12 2014 Radek Novacek <rnovacek@redhat.com> - 1.6.0_560_g5955046-16
- Update to latest git snapshot

* Mon May 05 2014 Radek Novacek <rnovacek@redhat.com> - 1.6.0_549_gbe730e9-15
- Update to latest git snapshot

* Tue Apr 15 2014 Radek Novacek <rnovacek@redhat.com> - 1.6.0_530_g65412ef-14
- Update to latest git snapshot

* Mon Apr 14 2014 Radek Novacek <rnovacek@redhat.com> - 1.6.0_530_g65412ef-13
- Update to latest git snapshot

* Mon Apr 14 2014 Radek Novacek <rnovacek@redhat.com> - 1.6.0_530_g65412ef-12
- Update to latest git snapshot

* Mon Apr 07 2014 Radek Novacek <rnovacek@redhat.com> - 1.6.0_523_g33506ae-11
- Update to latest git snapshot

* Mon Mar 03 2014 Radek Novacek <rnovacek@redhat.com> - 1.6.0_494_gbbefbc6-10
- Update to latest git snapshot

* Wed Feb 19 2014 Radek Novacek <rnovacek@redhat.com> - 1.6.0_482_g4fd7b16-9
- Update to latest git snapshot

* Tue Feb 18 2014 Radek Novacek <rnovacek@redhat.com> - 1.6.0_482_g4fd7b16-8
- Update to latest git snapshot

* Mon Feb 03 2014 Radek Novacek <rnovacek@redhat.com> - 1.6.0_428_g9e66211-7
- Update to latest git snapshot

* Mon Feb 03 2014 Radek Novacek <rnovacek@redhat.com> - 1.6.0_428_g9e66211-6
- Update to latest git snapshot

* Mon Jan 27 2014 Radek Novacek <rnovacek@redhat.com> - 1.6.0_406_gdda7fed-5
- Update to latest git snapshot

* Mon Jan 27 2014 Radek Novacek <rnovacek@redhat.com> - 1.6.0_406_gdda7fed-4
- Update to latest git snapshot

* Mon Jan 27 2014 Radek Novacek <rnovacek@redhat.com> - 1.6.0_406_gdda7fed-3
- Update to latest git snapshot

* Thu Jan 23 2014 Radek Novacek <rnovacek@redhat.com> - 1.6.0_379_gb1e1fe5-2
- Update to latest git snapshot

* Sun Dec 08 2013 Jan Grulich <jgrulich@redhat.com> - 1.6.0-1
- Update to 1.6.0

* Wed Nov 27 2013 Jan Grulich <jgrulich@redhat.com> - 1.5.90-1
- Update to 1.5.90

* Mon Nov 18 2013 Jan Grulich <jgrulich@redhat.com> - 1.5.80-1
- Update to 1.5.80

* Thu Oct 31 2013 Jan Grulich <jgrulich@redhat.com> - 1.5.2-1
- Update to 1.5.2

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 1.5.1-2
- Rebuild for boost 1.54.0

* Thu May 30 2013 Jan Grulich <jgrulich@redhat.com> - 1.5.1-1
- Update to 1.5.1

* Fri Apr 26 2013 Jan Grulich <jgrulich@redhat.com> - 1.5.0-1
- Update to 1.5.0

* Thu Apr 25 2013 Jan Grulich <jgrulich@redhat.com> - 1.4.90-1
- Update to 1.4.90 (RC1)

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.4.1-5
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.4.1-4
- Rebuild for Boost-1.53.0

* Tue Nov 27 2012 Jan Grulich <jgrulich@redhat.com> 1.4.1-3
- Rebuild (qjson)

* Fri Nov 23 2012 Jan Grulich <jgrulich@redhat.com> 1.4.1-2
- Rebuild for qjson 0.8.0

* Mon Nov 05 2012 Jan Grulich <jgrulich@redhat.com> 1.4.1-1
- Update to 1.4.1

* Tue Oct 23 2012 Jan Grulich <jgrulich@redhat.com> 1.4.0-1
- Update to 1.4.0

* Fri Sep 07 2012 Radek Novacek <rnovacek@redhat.com> 1.3.90-1
- Update to 1.3.90 (RC1)

* Tue Aug 07 2012 Radek Novacek <rnovacek@redhat.com> 1.3.80-1
- Update to 1.3.80 (beta 1)

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 15 2012 Rex Dieter <rdieter@fedoraproject.org> 1.3.1-1
- 1.3.1

* Mon Mar 12 2012 Jaroslav Reznik <jreznik@redhat.com> 1.3.0-1
- Update to 1.3.0

* Sun Feb 26 2012 Radek Novacek <rnovacek@redhat.com> 1.2.90-1
- Update to 1.2.90 (RC 1)

* Tue Feb 14 2012 Jaroslav Reznik <jreznik@redhat.com> 1.2.82-2
- Update to 1.2.82 (beta 2)
- Remove unistd.h include fix
- Remove kdevelop-php build failure patch

* Wed Jan 25 2012 Radek Novacek <rnovacek@redhat.com> 1.2.81-2
- Fix kdevelop-php build failure

* Mon Jan 23 2012 Radek Novacek <rnovacek@redhat.com> 1.2.81-1
- Update to 1.2.81 (1.3 beta)
- Fix missing unistd.h include (g++ 4.7 issue)
- Install new files

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Dec 24 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.2.3-3
- remove set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE) line

* Sat Oct 08 2011 Rex Dieter <rdieter@fedoraproject.org> - 1.2.3-2
- Requires: kate-part

* Mon Jun 27 2011 Radek Novacek <rnovacek@redhat.com> - 1.2.3-1
- Update to 1.2.3

* Thu Apr 07 2011 Radek Novacek <rnovacek@redhat.com> - 1.2.2-1
- Update to 1.2.2
- Remove FTBFS with g++ 4.6 patch

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.2.0-2
- fix FTBFS with g++ 4.6

* Tue Jan 25 2011 Rex Dieter <rdieter@fedoraproject.org> - 1.2.0-1
- 1.2.0

* Fri Jan 21 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.1.90-1
- Update to 1.1.90 (1.2 RC1)

* Tue Dec 28 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.1.81-1
- Update to 1.1.81 (1.2 Beta 2)

* Thu Dec 16 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.1.80-1
- Update to 1.1.80 (1.2 Beta 1, required for kdelibs 4.6, #660740)

* Mon Dec 06 2010 Rex Dieter <rdieter@fedoraproject.org> -  1.1.1-1
- Update to 1.1.1

* Thu Oct 21 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.1.0-2
- added BR qjson-devel

* Wed Oct 20 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.1.0-1
- update to 1.1.0

* Wed Sep 29 2010 jkeating - 1.0.82-2
- Rebuilt for gcc bug 634757

* Sun Sep 26 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.82-1
- update to 1.0.82

* Wed Aug 11 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.0.1-1
- update to 1.0.1
- remove Source1, upstream doesn't ship a .md5sum anymore

* Thu Apr 29 2010 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-1
- kdevplatform-1.0.0

* Sat Apr 17 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.10.2-1
- kdevplatform-0.10.2

* Thu Apr 08 2010 Rex Dieter <rdieter@fedoraproject.org. - 0.10.0-1
- kdevplatform-0.10.0

* Mon Mar 08 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.9.99-1
- kdevplatform-0.9.99

* Mon Feb 22 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.9.98-1
- kdevplatform-0.9.98

* Sat Jan 16 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.9.97-2 
- rebuild (boost)
- BR: kdelibs4-devel

* Thu Jan 07 2010 Rex Dieter <rdieter@fedoraproject.org> 0.9.97-1
- kdevplatform-0.9.97
- kdevplatform: file conflict with kdelibs (FindKDevPlatform.cmake) (#541690)

* Sun Nov 22 2009 Rex Dieter <rdieter@fedoraproject.org> 0.9.95-0.6.20091015svn1035382
- rebuild (fc13+, qt-4.6.0-rc1)

* Thu Oct 15 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.95-0.5.20091015svn1035382
- New snapshot

* Sun Oct 11 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.95-0.4.beta5
- Fix finding Kompare includes

* Tue Sep 29 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.95-0.3.beta5
- Use official release

* Mon Sep 14 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.95-0.2
- Add icon scriptlets

* Mon Sep 14 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.95-0.1
- Update tarball

* Fri May 29 2009 Ben Boeckel <MathStuf@gmail.com> - 0.9.93-0.1
- 1.0 Beta 3

* Sat Feb 21 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.9.91-0.2.20090221svn929301
- Post KDevplatform 1.0 Beta 1 snapshot

* Fri Jan 09 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.9.85-1
- 0.9.85 snapshot
